View Issue Details

IDProjectCategoryView StatusLast Update
0024201mantisbtmarkdownpublic2018-04-04 10:42
ReporteratrolAssigned Toatrol 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.12.1 
Target Version2.12.2Fixed in Version2.12.2 
Summary0024201: Broken rendering of @ mentions, # issue and ~ note links
Description

Rendering of @ mentions, # issue and ~ note links are not correct if Markdown is enabled.

TagsNo tags attached.

Relationships

related to 0024186 closeddregad CVE-2018-1000162: XSS vulnerability in Parsedown library 
related to 0024202 closedatrol Broken rendering of @ mentions, # issue and ~ note links 

Activities

atrol

atrol

2018-04-01 10:38

developer   ~0059392

Test mention @dregad @vboctor

atrol

atrol

2018-04-01 12:12

developer   ~0059394

PR https://github.com/mantisbt/mantisbt/pull/1327

atrol

atrol

2018-04-02 05:21

developer   ~0059403

New PR https://github.com/mantisbt/mantisbt/pull/1328

Related Changesets

MantisBT: master-2.12 c731e8bf

2018-04-02 05:17:26

atrol

Details Diff
Correct links for mentions, issues and notes

Links are not correct rendered if Markdown is enabled

Fixes 0024201
Affected Issues
0024201
mod - plugins/MantisCoreFormatting/MantisCoreFormatting.php Diff File

Issue History

Date Modified Username Field Change
2018-04-01 10:37 atrol New Issue
2018-04-01 10:38 atrol Note Added: 0059392
2018-04-01 10:41 atrol Relationship added related to 0024186
2018-04-01 11:02 atrol Target Version => 2.12.2
2018-04-01 12:01 atrol Assigned To => atrol
2018-04-01 12:01 atrol Status new => assigned
2018-04-01 12:01 atrol Description Updated View Revisions
2018-04-01 12:12 atrol Note Added: 0059394
2018-04-01 12:14 atrol Issue cloned: 0024202
2018-04-01 12:14 atrol Relationship added related to 0024202
2018-04-02 05:09 atrol Summary Broken rendering of @ mentions => Broken rendering of @ mentions, # issue links and ~ note links
2018-04-02 05:09 atrol Description Updated View Revisions
2018-04-02 05:21 atrol Note Added: 0059403
2018-04-02 05:37 atrol Summary Broken rendering of @ mentions, # issue links and ~ note links => Broken rendering of @ mentions, # issue and ~ note links
2018-04-02 05:37 atrol Description Updated View Revisions
2018-04-03 06:22 atrol Changeset attached => MantisBT master-2.12 c731e8bf
2018-04-03 06:22 atrol Status assigned => resolved
2018-04-03 06:22 atrol Resolution open => fixed
2018-04-03 06:25 atrol Fixed in Version => 2.12.2
2018-04-04 10:42 vboctor Status resolved => closed